- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- File List
- Globals

Macros | Functions
evil_stdio.h File Reference

The file that provides functions ported from Unix in stdio.h. More...

## Macros
#define | EVIL_PATH_SEP_SWAP(p, s1, s2)
#define | EVIL_PATH_SEP_WIN32_TO_UNIX(p) EVIL_PATH_SEP_SWAP(p, '\\', '/')
#define | EVIL_PATH_SEP_UNIX_TO_WIN32(p) EVIL_PATH_SEP_SWAP(p, '/', '\\')
#define | rename(src, dst) evil_rename(src, dst)
| Wrapper around evil_rename().

## Functions
int | evil_rename (const char *src, const char *dst)
| Emulate the rename() function on Windows. More...

## Detailed Description

The file that provides functions ported from Unix in stdio.h.

## Macro Definition Documentation

#define EVIL_PATH_SEP_SWAP | ( |  | p,
|  |  | s1,
|  |  | s2
| ) |  |

Value:
do { \
char *_evil_path_tmp; \
_evil_path_tmp = p; \
while (*_evil_path_tmp) \
{ \
if (*_evil_path_tmp == s1) \
*_evil_path_tmp = s2; \
_evil_path_tmp++; \
} \
} while (0)

## Function Documentation

int evil_rename | ( | const char * | src,
|  | const char * | dst
| ) |  |

Emulate the rename() function on Windows.

Parameters

  src | The old pathname.
  dst | The new pathname.

Returns
  0 on success, -1 otherwise.

This function emulates the POSIX rename() function on Windows. The difference with the POSIX function is that the rename() function on windows fails if the destination exists.

Since
  1.8

References rename.